MantisBT

View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0004795ATutorExport Contentpublic2011-07-14 16:152011-08-18 13:04
Reporterharris 
Assigned Togreg 
PrioritynormalSeverityminorReproducibilityhave not tried
StatusclosedResolutionfixed 
PlatformOSOS Version
Product Version 
Target VersionFixed in Version2.0.3 
Summary0004795: Exporting content pages with HTML5 tags fails to include files
DescriptionExporting IMS CC or CP with HTML5 tags will not include all the files.

Suggested fix:
mods/_core/imscp/ims_export.php line 160,
add the HTML5 file links into the element array. This should allow the parser to scan all files within the content page.

Steps To ReproduceCreate a content page with the following:
<video>
<source src="random.ogg" type="video/ogg" />
</video>

Export package and the file random.ogg will be missing.
TagsNo tags attached.
Affects versionSVN
SVN Revision#11088
Attached Files

- Relationships

-  Notes
(0005088)
greg (administrator)
2011-07-18 15:21

added source-> src to ims_export.php MyHandler class to parse HTML5 video source
(0005171)
greg (administrator)
2011-08-18 13:04

first round of 2.0.3 changes closed

- Issue History
Date Modified Username Field Change
2011-07-14 16:15 harris New Issue
2011-07-18 15:21 greg SVN Revision# => 11088
2011-07-18 15:21 greg Note Added: 0005088
2011-07-18 15:21 greg Status new => resolved
2011-07-18 15:21 greg Resolution open => fixed
2011-07-18 15:21 greg Assigned To => greg
2011-07-18 15:43 greg Fixed in Version => 2.0.3
2011-08-18 13:04 greg Note Added: 0005171
2011-08-18 13:04 greg Status resolved => closed


Copyright © 2000 - 2017 MantisBT Team
Powered by Mantis Bugtracker